git@vger.kernel.org mailing list mirror (one of many)
 help / color / mirror / code / Atom feed
From: Johannes Schindelin <Johannes.Schindelin@gmx.de>
To: Daniel Barkalow <barkalow@iabervon.org>
Cc: Junio C Hamano <gitster@pobox.com>, git@vger.kernel.org
Subject: [PATCH 1/2] format-patch: use the diff options for the cover letter, too
Date: Sun, 2 Mar 2008 15:53:04 +0000 (GMT)	[thread overview]
Message-ID: <alpine.LSU.1.00.0803021552480.22527@racer.site> (raw)
In-Reply-To: <alpine.LSU.1.00.0803021552210.22527@racer.site>


Earlier, when you called "git format-patch --cover-letter -M", the
diffstat in the cover letter would not inherit the "-M".  Now it does.

While at it, add a few "|| break" statements in the test's loops;
otherwise, breakages inside the loops would not be caught.

Signed-off-by: Johannes Schindelin <johannes.schindelin@gmx.de>
---
 builtin-log.c           |    4 ++--
 t/t4014-format-patch.sh |   18 ++++++++++++++----
 2 files changed, 16 insertions(+), 6 deletions(-)

diff --git a/builtin-log.c b/builtin-log.c
index bbadbc0..fd9b3ae 100644
--- a/builtin-log.c
+++ b/builtin-log.c
@@ -694,8 +694,8 @@ static void make_cover_letter(struct rev_info *rev, int use_stdout,
 	if (!origin)
 		return;
 
-	diff_setup(&opts);
-	opts.output_format |= DIFF_FORMAT_SUMMARY | DIFF_FORMAT_DIFFSTAT;
+	memcpy(&opts, &rev->diffopt, sizeof(opts));
+	opts.output_format = DIFF_FORMAT_SUMMARY | DIFF_FORMAT_DIFFSTAT;
 
 	diff_setup_done(&opts);
 
diff --git a/t/t4014-format-patch.sh b/t/t4014-format-patch.sh
index 16aa99d..6d86b7d 100755
--- a/t/t4014-format-patch.sh
+++ b/t/t4014-format-patch.sh
@@ -147,7 +147,7 @@ test_expect_success 'thread' '
 	for i in patches/0002-* patches/0003-*
 	do
 	  grep "References: $FIRST_MID" $i &&
-	  grep "In-Reply-To: $FIRST_MID" $i
+	  grep "In-Reply-To: $FIRST_MID" $i || break
 	done
 '
 
@@ -160,7 +160,7 @@ test_expect_success 'thread in-reply-to' '
 	for i in patches/*
 	do
 	  grep "References: $FIRST_MID" $i &&
-	  grep "In-Reply-To: $FIRST_MID" $i
+	  grep "In-Reply-To: $FIRST_MID" $i || break
 	done
 '
 
@@ -173,7 +173,7 @@ test_expect_success 'thread cover-letter' '
 	for i in patches/0001-* patches/0002-* patches/0003-* 
 	do
 	  grep "References: $FIRST_MID" $i &&
-	  grep "In-Reply-To: $FIRST_MID" $i
+	  grep "In-Reply-To: $FIRST_MID" $i || break
 	done
 '
 
@@ -186,7 +186,7 @@ test_expect_success 'thread cover-letter in-reply-to' '
 	for i in patches/*
 	do
 	  grep "References: $FIRST_MID" $i &&
-	  grep "In-Reply-To: $FIRST_MID" $i
+	  grep "In-Reply-To: $FIRST_MID" $i || break
 	done
 '
 
@@ -201,4 +201,14 @@ test_expect_success 'excessive subject' '
 	ls patches/0004-This-is-an-excessively-long-subject-line-for-a-messa.patch
 '
 
+test_expect_success 'cover-letter inherits diff options' '
+
+	git mv file foo &&
+	git commit -m foo &&
+	git format-patch --cover-letter -1 &&
+	! grep "file => foo .* 0 *$" 0000-cover-letter.patch &&
+	git format-patch --cover-letter -1 -M &&
+	grep "file => foo .* 0 *$" 0000-cover-letter.patch
+
+'
 test_done
-- 
1.5.4.3.510.g7cdd



  reply	other threads:[~2008-03-02 15:54 UTC|newest]

Thread overview: 29+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2008-02-29  1:44 [PATCH 0/5] Builtin "git remote" Johannes Schindelin
2008-02-29  1:44 ` [PATCH 1/5] path-list: add functions to work with unsorted lists Johannes Schindelin
2008-02-29  2:04   ` Junio C Hamano
2008-02-29  2:15     ` Johannes Schindelin
2008-03-01 13:14       ` [PATCH 0/6] Builtin remote, v2 Johannes Schindelin
2008-03-01 13:15         ` [PATCH 1/6] Rename path_list to string_list Johannes Schindelin
2008-03-11 16:20           ` David Kågedal
2008-03-11 16:26             ` Johannes Schindelin
2008-03-11 16:44               ` David Kågedal
2008-03-01 13:15         ` [PATCH 2/6] string-list: add functions to work with unsorted lists Johannes Schindelin
2008-03-01 13:16         ` [PATCH 3/6] parseopt: add flag to stop on first non option Johannes Schindelin
2008-03-01 13:16         ` [PATCH 4/6] Test "git remote show" and "git remote prune" Johannes Schindelin
2008-03-01 13:16         ` [PATCH 5/6] Make git-remote a builtin Johannes Schindelin
2008-03-01 13:17         ` [PATCH 6/6] builtin-remote: prune remotes correctly that were added with --mirror Johannes Schindelin
2008-02-29  1:45 ` [PATCH 2/5] parseopt: add flag to stop on first non option Johannes Schindelin
2008-02-29  1:45 ` [PATCH 3/5] Test "git remote show" and "git remote prune" Johannes Schindelin
2008-02-29  1:45 ` [PATCH 4/5] Make git-remote a builtin Johannes Schindelin
2008-02-29  1:46 ` [PATCH 5/5] builtin-remote: prune remotes correctly that were added with --mirror Johannes Schindelin
2008-02-29  1:56 ` [PATCH 0/5] Builtin "git remote" Junio C Hamano
2008-02-29  2:13   ` Johannes Schindelin
2008-02-29  2:17   ` Daniel Barkalow
2008-02-29 11:21     ` Johannes Schindelin
2008-03-02 15:15       ` Johannes Schindelin
2008-03-02 15:40         ` Johannes Schindelin
2008-03-02 15:52           ` [PATCH 0/2] format-patch --cover-letter improvements Johannes Schindelin
2008-03-02 15:53             ` Johannes Schindelin [this message]
2008-03-02 15:53             ` [PATCH 2/2] format-patch: wrap cover-letter's shortlog sensibly Johannes Schindelin
2008-03-02 17:05               ` Junio C Hamano
2008-03-02 17:38                 ` Johannes Schindelin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: http://vger.kernel.org/majordomo-info.html

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=alpine.LSU.1.00.0803021552480.22527@racer.site \
    --to=johannes.schindelin@gmx.de \
    --cc=barkalow@iabervon.org \
    --cc=git@vger.kernel.org \
    --cc=gitster@pobox.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://80x24.org/mirrors/git.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).